import request from '@/utils/request'

// 分包合同-分包明细列表
export function apiSubcontractingContractDetailLists(params: any) {
    return request.get({ url: '/contract.subcontracting_contract_detail/lists', params })
}

// 添加分包合同-分包明细
export function apiSubcontractingContractDetailAdd(params: any) {
    return request.post({ url: '/contract.subcontracting_contract_detail/add', params })
}

// 编辑分包合同-分包明细
export function apiSubcontractingContractDetailEdit(params: any) {
    return request.post({ url: '/contract.subcontracting_contract_detail/edit', params })
}

// 删除分包合同-分包明细
export function apiSubcontractingContractDetailDelete(params: any) {
    return request.post({ url: '/contract.subcontracting_contract_detail/delete', params })
}

// 分包合同-分包明细详情
export function apiSubcontractingContractDetailDetail(params: any) {
    return request.get({ url: '/contract.subcontracting_contract_detail/detail', params })
}